package yukihane.inqubus.cookie;

import java.io.File;
import java.io.IOException;

/**
 * 指定されたディレクトリのcookieを扱います.
 * @author yuki
 */
class CookieDefault extends Cookie {

    private final File fileOrDir;

    CookieDefault(File fileOrDir) {
        this.fileOrDir = fileOrDir;
    }

    @Override
    protected String getNicoUserSession() throws IOException {
        return getUserSession("UTF-8", fileOrDir);
    }
}
